
#from common import *
from common_dsp import *
from file_io import *

REC_FILE = os.environ['RADIOHDL']+'/applications/apertif_unb1_correlator/tb/rec/correlator_src_out_arr0.rec'

NOF_INPUTS = 12
NOF_VISIBILITIES = (NOF_INPUTS*(NOF_INPUTS+1))/2
CORRELATOR_INPUT_WIDTH=14
CORRELATOR_INTEGRATION_PERIOD = 39
CORRELATOR_MULT_OUTPUT_WIDTH = 2*CORRELATOR_INPUT_WIDTH
CORRELATOR_OUTPUT_COMPLEX_WIDTH = CORRELATOR_MULT_OUTPUT_WIDTH + ceil_log2(CORRELATOR_INTEGRATION_PERIOD)

# Use gen_hex_files_composite_signals.py to generate HEX files with ONE channel
# . Check.

# Read test bench output file written by dp_stream_rec_play.vhd
correlator_src_out_arr = rec_file_to_complex(REC_FILE, complex_width=CORRELATOR_OUTPUT_COMPLEX_WIDTH)

# Plot the phase shifts
plot_phase_shifts(correlator_src_out_arr[1], NOF_VISIBILITIES)

