-------------------------------------------------------------------------------
--
-- Copyright (C) 2014
-- ASTRON (Netherlands Institute for Radio Astronomy) <http://www.astron.nl/>
-- P.O.Box 2, 7990 AA Dwingeloo, The Netherlands
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-------------------------------------------------------------------------------

-- Purpose: Multi testbench for tr_nonbonded
-- Description:
-- Usage:
--   > as 5
--   > run -all

LIBRARY IEEE, technology_lib;
USE IEEE.std_logic_1164.ALL;
USE technology_lib.technology_pkg.ALL;
USE technology_lib.technology_select_pkg.ALL;


ENTITY tb_tb_tr_nonbonded IS
END tb_tb_tr_nonbonded;


ARCHITECTURE tb OF tb_tb_tr_nonbonded IS
BEGIN

  --  g_data_w    : NATURAL := 32;
  --  g_sim_level : NATURAL := 0

  u_tech : ENTITY work.tb_tr_nonbonded GENERIC MAP (32, 0);
  u_sim  : ENTITY work.tb_tr_nonbonded GENERIC MAP (32, 1);
  
  
END tb;
